Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Class AsnObjectId

    java.lang.Object
      |
      +--uk.co.westhawk.snmp.stack.AsnObject
            |
            +--uk.co.westhawk.snmp.stack.AsnObjectId

All Implemented Interfaces:
  SnmpConstants

public class AsnObjectId
extends AsnObject

This class represents the ASN.1 ObjectID class. An Object ID (OID) identifies a variable in a MIB.

Version:
  $Revision: 3.20 $ $Date: 2006/02/02 15:54:25 $
Author:
  Tim Panton

Field Summary

Fields inherited from class uk.co.westhawk.snmp.stack.AsnObject
`contentsLength, debug, headerLength, isCorrect, startPos, type`

Fields inherited from interface uk.co.westhawk.snmp.stack.SnmpConstants
`ASN_APPLICATION, ASN_BIT_STR, ASN_BIT8, ASN_BOOLEAN, ASN_CONSTRUCTOR, ASN_CONTEXT, ASN_EXTENSION_ID, ASN_INTEGER, ASN_LONG_LEN, ASN_NULL, ASN_OBJECT_ID, ASN_OCTET_STR, ASN_PRIMITIVE, ASN_PRIVATE, ASN_SEQUENCE, ASN_SET, ASN_UNIVERSAL, CONS_SEQ, COUNTER, COUNTER64, GAUGE, GET_REQ_MSG, GET_RPRT_MSG, GET_RSP_MSG, GETBULK_REQ_MSG, GETNEXT_REQ_MSG, INFORM_REQ_MSG, INTEGER, IPADDRESS, NSAP_ADDRESS, NULLOBJ, OBJID, OBSOLETED_RFC1442_UINTEGER32, OPAQUE, SET_REQ_MSG, SMI_V2_UINTEGER32, SNMP_ERR_AUTHORIZATIONERR, SNMP_ERR_BADVALUE, SNMP_ERR_COMMITFAILED, SNMP_ERR_DECODING_EXC, SNMP_ERR_DECODINGASN_EXC, SNMP_ERR_DECODINGPKTLNGTH_EXC, SNMP_ERR_GENERR, SNMP_ERR_INCONSISTENTNAME, SNMP_ERR_INCONSISTENTVALUE, SNMP_ERR_NOACCESS, SNMP_ERR_NOCREATION, SNMP_ERR_NOERROR, SNMP_ERR_NOSUCHNAME, SNMP_ERR_NOTWRITABLE, SNMP_ERR_READONLY, SNMP_ERR_RESOURCEUNAVAILABLE, SNMP_ERR_TOOBIG, SNMP_ERR_UNDOFAILED, SNMP_ERR_WRONGENCODING, SNMP_ERR_WRONGLENGTH, SNMP_ERR_WRONGTYPE, SNMP_ERR_WRONGVALUE, SNMP_TRAP_AUTHFAIL, SNMP_TRAP_COLDSTART, SNMP_TRAP_EGPNEIGHBORLOSS, SNMP_TRAP_ENTERPRISESPECIFIC, SNMP_TRAP_LINKDOWN, SNMP_TRAP_LINKUP, SNMP_TRAP_WARMSTART, SNMP_VAR_ENDOFMIBVIEW, SNMP_VAR_NOSUCHINSTANCE, SNMP_VAR_NOSUCHOBJECT, SNMP_VERSION_1, SNMP_VERSION_2c, SNMP_VERSION_3, STRING, TIMETICKS, TRP_REQ_MSG, TRPV2_REQ_MSG, version_id`

Constructor Summary
`AsnObjectId(long[] oida)` Constructs an AsnObjectId out of an array of long.
`AsnObjectId(java.lang.String s)` Constructs an AsnObjectId out of an OID string.

Method Summary
`void` | `add(long sub_oid)` Adds a single sub-identifier to the end of the OID.
`void` | `add(long[] sub_oid)` Adds a number of sub-identifiers to the end of the OID.
`void` | `add(java.lang.String s)` Adds sub-identifiers to the end of the OID.
`boolean` | `equals(java.lang.Object anObject)` Compares this OID to the specified object.
`long` | `getElementAt(int index)` Returns the element in the AsnObjectId at the specified index.
`long[]` | `getOid()` Returns the value of the AsnObjectId as an array of long.
`int` | `getSize()` Returns the number of elements in the AsnObjectId.
`long[]` | `getSubOid(int beginIndex, int endIndex)` Returns a subset of the value of the AsnObjectId as an array of long.
`java.lang.String` | `getValue()` Returns the value of the AsnObjectId.
`int` | `hashCode()` Returns a hash code for this OID.
`boolean` | `startsWith(AsnObjectId prefix)` Checks if this OID starts with the specified prefix.
`java.lang.String` | `toString()` Returns the string representation of the AsnObjectId.
`java.lang.String` | `toString(long[] v)` Returns the string representation of the AsnObjectId.

Methods inherited from class uk.co.westhawk.snmp.stack.AsnObject
`getRespType, getRespTypeString, setDebug`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AsnObjectId

    public AsnObjectId(java.lang.String s)
                throws java.lang.IllegalArgumentException

  Constructs an AsnObjectId out of an OID string.

Parameters:
  `s` - The OID, format a[.b]*

### AsnObjectId

    public AsnObjectId(long[] oida)

  Constructs an AsnObjectId out of an array of long.

Parameters:
  `oida` - The OID, as an array of long
Since:
  4_14

Method Detail

### startsWith

    public boolean startsWith(AsnObjectId prefix)

  Checks if this OID starts with the specified prefix.

  Returns:
    true if starts with the prefix, false otherwise

### add

    public void add(long sub_oid)

  Adds a single sub-identifier to the end of the OID.

  Parameters:
    `sub_oid` - the sub-identifier

### add

    public void add(long[] sub_oid)

  Adds a number of sub-identifiers to the end of the OID.

  Parameters:
    `sub_oid` - the sub-identifiers
  See Also:
    `AsnOctets.toSubOid(boolean)`

### add

    public void add(java.lang.String s)
             throws java.lang.IllegalArgumentException

  Adds sub-identifiers to the end of the OID.

  Parameters:
    `s` - the sub-identifiers, format a[.b]*
    `java.lang.IllegalArgumentException`

### getValue

    public java.lang.String getValue()

  Returns the value of the AsnObjectId.

  Returns:
    The value (the OID)

### toString

    public java.lang.String toString()

  Returns the string representation of the AsnObjectId.

  Specified by:
    `toString` in class `AsnObject`
  Returns:
    The string of the AsnObjectId

### toString

    public java.lang.String toString(long[] v)

  Returns the string representation of the AsnObjectId.

  Returns:
    The string of the AsnObjectId

### getSize

    public int getSize()

  Returns the number of elements in the AsnObjectId. We cannot use size(), since that is already in use.

  Returns:
    the number of elements

### getElementAt

    public long getElementAt(int index)
                      throws java.lang.ArrayIndexOutOfBoundsException

  Returns the element in the AsnObjectId at the specified index.

  Parameters:
    `index` - the index
  Returns:
    the element at the specified index
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - if an invalid index was given

### getOid

    public long[] getOid()

  Returns the value of the AsnObjectId as an array of long. The value returned is a copy.

  Returns:
    The OID value
  Since:
    4_14

### getSubOid

    public long[] getSubOid(int beginIndex,
                            int endIndex)
                     throws java.lang.ArrayIndexOutOfBoundsException

  Returns a subset of the value of the AsnObjectId as an array of long. The value returned is a copy.

  Returns:
    The sub OID value
    `java.lang.ArrayIndexOutOfBoundsException`
  Since:
    4_14
  See Also:
    `SnmpUtilities.longToByte(long[])`

### equals

    public boolean equals(java.lang.Object anObject)

  Compares this OID to the specified object. The result is `true` if and only if the argument is not `null` and is a `AsnObjectId` object that represents the same sequence of numbers as this object.

  Thanks to Eli Bishop (eli@graphesthesia.com) for the suggestion of adding it.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `anObject` - the object to compare this `AsnObjectId` against.
  Returns:
    `true` if the `AsnObjectId` are equal; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code for this OID. The hash value of the empty OID is zero.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hash code value for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD